Below follows a description of the provided dataset, and how to use these data with certain scripts. Be aware that this is a demo dataset.

# Description of data in folders.

### master > raw_LFP_traces: 

An example paired penetration containing raw LFP data from two A16 electrodes, recorded simultaneously, from the auditory and frontal cortices, while animals vocalized freely. The names of the files are* ColDataVocs1110.mat*, and *ColDataVocs2110.mat*. Each represents a 2 different acoustic recordings sessions (in succession) related to the same penetration pair.

These files contained matlab structures with meta-information regarding the recording (i.e. sampling frequency, electrophysiology triggers, number of channels, etc.). Raw LFP traces can be found in the variable *col_data.column_data([channel]).raw_LFP*. Channels 1:16 are in the frontal cortex; channels 16:32 are in the auditory cortex.

These data can be used to visualize LFPs, or execute an example run of the cycle-by-cycle algorithm, in python.

### master > GLM_Model_Outcomes: 

Tables (in .csv) containing information about the outcomes of the GLMs ran across channels and frequency bands (these are results from the R scripts). This files are directly used by the script “*pproc_stats_GLMM_fromR.m*”, which visualizes the results of the models.

### master > bycycle_run_example_output: 

Here are two .csv tables with the detailed output of the cycle-by-cycle algorithm, for one penetration pair (the same one provided with the raw LFPs; note that there are two sessions of acoustic recordings). These outputs are obtained from running the python codes associated with the bycycle analyses.

### master > matlab_vars:

Mostly MatLab variables (.mat files) of actual results from the paper. For example, dPTE connectivity matrices obtained from running the script “*core_get_PTE_population.m*” are provided (file: *PTE_echo_non_echo_201127_pre_post_500len.mat*). These variables can be used with a variety of scripts in order to visualize the results. The variable related the dPTE matrices can be directly used, for instance, to generate connectivity graphs. 

Other useful variables that may be needed to appropriately run scripts are also included here. Not all are MatLab variable files: “*Data_Files_Arrangement_A16x2.xlsx*” is a table that contains the organization of the raw data, directly from recordings.

## Notes:

If scripts are to be run, please make sure that all variables are in the local computer and that the local path is added in MatLab. It may be necessary to pre-load a variable file before running a script. Note that scripts usually begin with a “`clear all`” statement, so loading variables and then blindly running a script is likely to fail. Rather, modify the first sections of the scripts’ code according to whether variables are already loaded, or to the position of these variables in the local computer.